RDKit: ForceFields::UFF::AtomicParams Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Attributes | List of all members
ForceFields::UFF::AtomicParams Class Reference

class to store atomic parameters for the Universal Force Field More...

`#include <Params.h>`

## Public Attributes
double | r1
| valence bond radius
double | theta0
| valence angle
double | x1
| vdW characteristic length
double | D1
| vdW atomic energy
double | zeta
| vdW scaling term
double | Z1
| effective charge
double | V1
| sp3 torsional barrier parameter
double | U1
| torsional contribution for sp2-sp3 bonds
double | GMP_Xi
| GMP Electronegativity;.
double | GMP_Hardness
| GMP Hardness.
double | GMP_Radius
| GMP Radius value.

## Detailed Description

class to store atomic parameters for the Universal Force Field

Definition at line 68 of file UFF/Params.h.

## Member Data Documentation

## ◆ D1

double ForceFields::UFF::AtomicParams::D1

vdW atomic energy

Definition at line 73 of file UFF/Params.h.

## ◆ GMP_Hardness

double ForceFields::UFF::AtomicParams::GMP_Hardness

GMP Hardness.

Definition at line 79 of file UFF/Params.h.

## ◆ GMP_Radius

double ForceFields::UFF::AtomicParams::GMP_Radius

GMP Radius value.

Definition at line 80 of file UFF/Params.h.

## ◆ GMP_Xi

double ForceFields::UFF::AtomicParams::GMP_Xi

GMP Electronegativity;.

Definition at line 78 of file UFF/Params.h.

## ◆ r1

double ForceFields::UFF::AtomicParams::r1

valence bond radius

Definition at line 70 of file UFF/Params.h.

## ◆ theta0

double ForceFields::UFF::AtomicParams::theta0

valence angle

Definition at line 71 of file UFF/Params.h.

## ◆ U1

double ForceFields::UFF::AtomicParams::U1

torsional contribution for sp2-sp3 bonds

Definition at line 77 of file UFF/Params.h.

## ◆ V1

double ForceFields::UFF::AtomicParams::V1

sp3 torsional barrier parameter

Definition at line 76 of file UFF/Params.h.

## ◆ x1

double ForceFields::UFF::AtomicParams::x1

vdW characteristic length

Definition at line 72 of file UFF/Params.h.

## ◆ Z1

double ForceFields::UFF::AtomicParams::Z1

effective charge

Definition at line 75 of file UFF/Params.h.

## ◆ zeta

double ForceFields::UFF::AtomicParams::zeta

vdW scaling term

Definition at line 74 of file UFF/Params.h.

The documentation for this class was generated from the following file:

- UFF/Params.h